# Interface methods for submodule: ContourMeanDistanceImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ContourMeanDistanceImageFilter
class ContourMeanDistanceImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInput1(self, image) -> None:
		""""""
		...

	def SetInput2(self, image) -> None:
		""""""
		...

	def GetInput1(self):
		""""""
		...

	def GetInput2(self):
		""""""
		...

	def GetMeanDistance(self) -> float:
		""""""
		...

	def SetUseImageSpacing(self, _arg: bool) -> None:
		""""""
		...

	def GetUseImageSpacing(self) -> bool:
		""""""
		...

	def UseImageSpacingOn(self) -> None:
		""""""
		...

	def UseImageSpacingOff(self) -> None:
		""""""
		...

